.MODEL SMALL
.STACK 64H
.DATA
MSG1 DB 86H, 88H, 0F9H, 8EH
MSG2 DB 8CH, 0C7H, 86H, 89H
PORTA EQU 0EOH
PORTB EQU 0E1H
PORTC EQU 0E2H
CWR EQU 0E3H
.CODE
START:MOV AX, @DATA
         MOV DS, AX

MOV AL, 80H
MOV DX, 0FFE3H
OUT DX, AL

MOV CX, 5H
AGAIN:MOV SI, OFFSET MSG1
CALL FLASH
CALL DELAY
DEC CX
JNZ AGAIN
MOV AH, 4CH
INT 21H

DELAY PROC
PUSH DI
PUSH SI
MOV DI, 0FFFH
L1:MOV SI, 0FFFFH
L2:DEC SI
JNZ L2
DEC DI
JNZ L1
POP SI
POP DI
RET
DELAY ENDP

FLASH PROC
PUSH BX
PUSH CX
MOV CX, 4H
AGAIN2:MOV BL, 8H
MOV AL, [SI]
AGAIN1:ROL AL, 1H
MOV DX, 0FFE1H
OUT DX, AL
PUSH AX
MOV AL, 00H
MOV DX, 0FFE2H
OUT DX, AL
MOV AL, 0FFH
MOV DX, 0FFE2H
OUT DX, AL
POP AX
DEC BX
JNZ AGAIN1
INC SI
DEC CX
JNZ AGAIN2
POP CX
POP BX
RET
FLASH ENDP
END START