.MODEL SMALL
.STACK 64H
.DATA
TABLE DB 0C0H, 0F9H, 0A4H, 0B0H, 99H, 92H, 82H, 0F8H, 80H, 90H
NUM DW 000FH
BCD DB 4 DUP(?)
PORTA EQU 0EOH
PORTB EQU 0E1H
PORTC EQU 0E2H
CWR EQU 0E3H
.CODE
START:MOV AX, @DATA
         MOV DS, AX

MOV AL, 80H
MOV DX, 0FFE3H
OUT DX, AL

MOV SI, OFFSET BCD
MOV AX, NUM

MOV BX, 1000
CALL CONV

MOV BX, 100
CALL CONV

MOV BX, 10
CALL CONV

MOV [SI], DL

CALL FLASH1
CALL DELAY

CALL FLASH2

MOV AH, 4CH
INT 21H

CONV PROC
MOV DX, 0000H
DIV BX
MOV [SI], AL
INC SI
MOV AX, DX
RET
CONV ENDP

DELAY PROC
PUSH DI
PUSH SI
MOV DI, 0FFFH
L1:MOV SI, 0FFFFH
L2:DEC SI
JNZ L2
DEC DI
JNZ L1
POP SI
POP DI
RET
DELAY ENDP

FLASH1 PROC
PUSH BX
PUSH CX
MOV CL, 4H
MOV SI, OFFSET BCD
AGAIN4:MOV DI, 8H
MOV AL, [SI]
MOV BX, OFFSET TABLE
XLAT
AGAIN3:ROL AL, 1H
MOV DX, 0FFE1H
OUT DX, AL
PUSH AX
MOV AL, 00H
MOV DX, 0FFE2H
OUT DX, AL
MOV AL, 0FFH
MOV DX, 0FFE2H
OUT DX, AL
POP AX
DEC DI
JNZ AGAIN3
INC SI
DEC CL
JNZ AGAIN4
POP CX
POP BX
RET
FLASH1 ENDP

FLASH2 PROC
PUSH BX
PUSH CX
MOV CL, 4H
MOV SI, OFFSET BCD+3
AGAIN2:MOV DI, 8H
MOV AL, [SI]
AGAIN1:ROL AL, 1H
MOV DX, 0FFE1H
OUT DX, AL
PUSH AX
MOV AL, 00H
MOV DX, 0FFE2H
OUT DX, AL
MOV AL, 0FFH
MOV DX, 0FFE2H
OUT DX, AL
POP AX
DEC DI
JNZ AGAIN3
INC SI
DEC CL
JNZ AGAIN4
POP CX
POP BX
RET
FLASH2 ENDP
END START